Skip to main content
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
Update an intent
curl --request PATCH \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Book Appointment",
  "key": "<string>",
  "description": "<string>",
  "recommendation_actions": "<string>",
  "confidence_threshold": 0.7,
  "intent_llm_handle_by_response": true,
  "webhook": {
    "url": "<string>",
    "auth_token": "<string>"
  },
  "parameters": [
    {
      "key": "email",
      "default": "<string>",
      "type": "string",
      "required": true
    }
  ]
}
'
{
  "success": true,
  "data": {
    "intent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "name": "<string>",
    "description": "<string>",
    "recommendation_actions": "<string>",
    "confidence_threshold": 123,
    "is_system": true,
    "intent_llm_handle_by_response": true,
    "webhook": {
      "url": "<string>",
      "auth_token": "<string>"
    },
    "parameters": [
      {
        "key": "email",
        "default": "<string>",
        "type": "string",
        "required": true
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
intentUuid
string<uuid>
required

Body

application/json
name
string
required
Example:

"Book Appointment"

key
string | null

Auto-generated from name when omitted (e.g. 'book_appointment')

description
string | null

When this intent should trigger

recommendation_actions
string | null
confidence_threshold
number<float>
Example:

0.7

intent_llm_handle_by_response
boolean
webhook
object
parameters
object[]

Response

Intent updated

success
boolean
data
object